package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysScenicMapper;
import com.ruoyi.system.domain.SysScenic;
import com.ruoyi.system.service.ISysScenicService;

/**
 * 景区Service业务层处理
 * 
 * @author haotian
 * @date 2024-11-08
 */
@Service
public class SysScenicServiceImpl implements ISysScenicService 
{
    @Autowired
    private SysScenicMapper sysScenicMapper;

    /**
     * 查询景区
     * 
     * @param scenicId 景区主键
     * @return 景区
     */
    @Override
    public SysScenic selectSysScenicByScenicId(Long scenicId)
    {
        return sysScenicMapper.selectSysScenicByScenicId(scenicId);
    }

    /**
     * 查询景区列表
     * 
     * @param sysScenic 景区
     * @return 景区
     */
    @Override
    public List<SysScenic> selectSysScenicList(SysScenic sysScenic)
    {
        return sysScenicMapper.selectSysScenicList(sysScenic);
    }

    /**
     * 新增景区
     * 
     * @param sysScenic 景区
     * @return 结果
     */
    @Override
    public int insertSysScenic(SysScenic sysScenic)
    {
        return sysScenicMapper.insertSysScenic(sysScenic);
    }

    /**
     * 修改景区
     * 
     * @param sysScenic 景区
     * @return 结果
     */
    @Override
    public int updateSysScenic(SysScenic sysScenic)
    {
        return sysScenicMapper.updateSysScenic(sysScenic);
    }

    /**
     * 批量删除景区
     * 
     * @param scenicIds 需要删除的景区主键
     * @return 结果
     */
    @Override
    public int deleteSysScenicByScenicIds(Long[] scenicIds)
    {
        return sysScenicMapper.deleteSysScenicByScenicIds(scenicIds);
    }

    /**
     * 删除景区信息
     * 
     * @param scenicId 景区主键
     * @return 结果
     */
    @Override
    public int deleteSysScenicByScenicId(Long scenicId)
    {
        return sysScenicMapper.deleteSysScenicByScenicId(scenicId);
    }
}
